<template>
  <div
    class="kit breadcrumb"
    itemscope=""
    itemtype='http://schema.org/BreadcrumbList'
    v-if="breadcrumbs && breadcrumbs.length">
    <div
      class="section"
      itemprop="itemListElement"
      itemscope
      itemtype="http://schema.org/ListItem">
      <flink
        href="/"
        itemprop="item">
        <span itemprop="name">Главная</span>
      </flink>
      <meta
        itemprop="position"
        :content="1">
    </div>
    <template v-for="(breadcrumb, index) in breadcrumbs">
      <div
        :key="`active_el${index}`"
        v-if="isLink(breadcrumb)"
        class="section"
        :class="{active: isLastElement(index)}"
        itemprop="itemListElement"
        itemscope
        itemtype="http://schema.org/ListItem">
        <flink
          :href="breadcrumb.url"
          itemprop="item" >
          <span
            @click="$emit('emit-breadcrumb', index)"
            itemprop="name"
            v-if="breadcrumb.name">{{ breadcrumb.name }}</span>
        </flink>
        <meta
          itemprop="position"
          :content="index + 2">
      </div>
      <div
        :key="`inactive_el${index}`"
        v-else-if="!isLink(breadcrumb) && breadcrumb.name"
        class="section"
        :class="{active: isLastElement(index)}">{{ breadcrumb.name }}</div>
    </template>
  </div>
</template>

<script>
export default {
  name: 'Breadcrumb',
  props: {
    breadcrumbs: {
      type: Array,
      default() { return []; },
    },
  },
  methods: {
    isLink(breadcrumb) {
      return breadcrumb && breadcrumb.url;
    },
    isLastElement(index) {
      return this.breadcrumbs && this.breadcrumbs.length && this.breadcrumbs.length - 1 === index;
    },
  },
};
</script>
